rwbbypid.d(1m)

NAME
rwbbypid.d - read/write bytes by PID. Uses DTrace.

SYNOPSIS
rwbbypid.d

DESCRIPTION
This script tracks the bytes read and written at the syscall level by processes, printing the totals in a report. This is tracking the successful number of bytes read or written. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OS
Solaris

STABILITY
stable - needs the sysinfo provider.

EXAMPLES

This samples until Ctrl-C is hit.
    # rwbbypid.d

FIELDS

PID process ID

CMD process name

DIR direction, Read or Write

BYTES
    total bytes

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
rwbbypid.d will sample until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
rwbypid.d(1M), dtrace(1M)